Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotatedType

- All Superinterfaces:
    `Type`

  Deprecated.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

      @Deprecated
      public interface AnnotatedType
      extends Type

  Represents an annotated type. For example:

            @NonNull String
            @Positive int

  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDesc[]` | `annotations​()` | Deprecated. Returns the annotations associated with this type.
    `Type` | `underlyingType​()` | Deprecated. Returns the underlying type.

    - ### Methods inherited from interface com.sun.javadoc.Type

      `asAnnotatedType, asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, getElementType, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### annotations

          AnnotationDesc[] annotations​()

      Deprecated.
      Returns the annotations associated with this type.
      Returns:
        the annotations associated with this type

    - #### underlyingType

          Type underlyingType​()

      Deprecated.
      Returns the underlying type.
      Returns:
        the underlying type